Name:		slapi-nis
Version:	0.2
Release:	1%{?dist}
Summary:	A NIS server plugin for Fedora and Red Hat Directory Server

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://slapi-nis.fedoraproject.org/
Source0:	http://people.redhat.com/~nalin/slapi-nis/slapi-nis-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	fedora-ds-base-devel, mozldap-devel, tcp_wrappers-devel

%description
This slapi-nis package contains two plugins which aim to ease the
transition of a network from NIS to LDAP.  The NIS Server plugin
(nisserver-plugin) allows the directory server itself to act as a NIS
server, and the Schema Compatibility plugin (schemacompat-plugin)
allows the directory server to provide modified views of data stored
in the directory.

%prep
%setup -q

%build
%configure --disable-static --with-tcp-wrappers
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/%{_libdir}/dirsrv/plugins/*.la

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING STATUS doc/*.txt doc/*.ldif
%{_libdir}/dirsrv/plugins/*.so

%changelog
* Wed Jul  9 2008 Nalin Dahyabhai <nalin@redhat.com> - 0.2-1
- initial package
